
%define libname %mklibname git

Summary: Global Information Tracker
Name: linus-git
Version: 1.5.0.4
Release: %mkrel 1
Source0: http://www.kernel.org/pub/software/scm/git/git-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://kernel.org/pub/scm/git/git.git/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: rcs
BuildRequires: dos2unix
Requires: git-core = %{version}
Requires: gitk = %{version}
Requires: gitview = %{version}
Requires: git-svn = %{version}
Requires: git-cvs = %{version}
Requires: git-email = %{version}
Requires: git-arch = %{version}
Requires: git-core-oldies = %{version}

%description
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This is a dummy package which brings in all subpackages.


%package -n git-core
Summary: Global Information Tracker
Group: Development/Other
Requires: rcs
Requires: diffutils
Requires: rsync
Requires: less
Requires: openssh-clients
Conflicts: git

%description -n git-core
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently. It is intended to be the base of an efficient,
distributed source code management system. This package includes
rudimentary tools that can be used as a SCM, but you should look
elsewhere for tools for ordinary humans layered on top of this.

This are the core tools with minimal dependencies.

You may want to install subversion, cpsps and/or tla to import
repositories from other VCS.


%package -n gitk
Summary: Git revision tree visualiser
Group: Development/Other
Requires: git-core = %{version}
Requires: tk >= 8.4

%description -n gitk
Git revision tree visualiser.

%package -n gitview
Summary: Git graphical revision tree visualiser
Group: Development/Other
Requires: git-core = %{version}
Requires: python-cairo
Requires: pygtk2.0

%description -n gitview
Git graphical revision tree visualiser.

%package -n %libname-devel	
Summary: Git development files	
Group: Development/Other	
Provides: git-devel = %version-%release	
 	 	
%description -n %libname-devel	
Development files for git.

%package -n git-svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, subversion
%description -n git-svn
Git tools for importing Subversion repositories.

%package -n git-cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, cvs, cvsps
%description -n git-cvs
Git tools for importing CVS repositories.

%package -n git-arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}, tla
%description -n git-arch
Git tools for importing Arch repositories.

%package -n git-email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:       git-core = %{version}-%{release}
%description -n git-email
Git tools for sending email.

%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
Requires:       git-core = %{version}-%{release}

%description -n perl-Git
Perl interface to Git

%package -n git-core-oldies
Summary:	Git obsolete commands, bound to extinction
Group:		Development/Tools
Requires:	git-core = %{version}-%{release}

%description -n git-core-oldies
Git obsolete commands, bound to extinction

%prep
%setup -q -n git-%{version}
# remove borring file
rm -f Documentation/.gitignore

%build
%make prefix=%{_prefix} CFLAGS="$RPM_OPT_FLAGS" all doc

# convert end of line to make rpmlint happy
dos2unix Documentation/*.html

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std prefix=%{_prefix}
make install-doc prefix=%{_datadir} DESTDIR=$RPM_BUILD_ROOT
install -m 755 contrib/gitview/gitview %buildroot%{_bindir}

mkdir -p %{buildroot}%{_includedir}/git
cp *.h %{buildroot}%{_includedir}/git

mkdir -p %{buildroot}%{_libdir}
install -m 644 libgit.a %buildroot%{_libdir}/libgit.a

mv %{buildroot}/usr/local/share/man/man3 %{buildroot}/%{_mandir}
mv %{buildroot}/%{_prefix}/lib/perl5/site_perl %{buildroot}/%{_prefix}/lib/perl5/vendor_perl
rm -f %{buildroot}/%{perl_vendorlib}/Error.pm

# fix .sp in man files
find %{buildroot}/%{_mandir} -type f | xargs perl -e 's/\.sp$/\n\.sp/g' -pi

# emacs VC backend:
mkdir -p %{buildroot}{%_datadir/emacs/site-lisp,/etc/emacs/site-start.d}
install -m 644 contrib/emacs/*.el %{buildroot}%_datadir/emacs/site-lisp
cat >%{buildroot}/etc/emacs/site-start.d/vc_git.el <<EOF
(add-to-list 'vc-handled-backends 'GIT)
EOF

%check
LC_ALL=C make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
# no file in the main package

%files -n git-core
%defattr(-,root,root,0755)
/etc/emacs/site-start.d/*
%_datadir/emacs/site-lisp/*
%{_bindir}/git
%{_bindir}/git-*
%exclude %{_bindir}/*svn*
%exclude %{_bindir}/*cvs*
%exclude %{_bindir}/git-archimport
%exclude %{_bindir}/*email*
# %exclude %{_bindir}/git-merge-recursive-old
%{_datadir}/git-core
# %exclude %{_datadir}/git-core/python
%{_mandir}/*/git-*
%{_mandir}/*/git.*
%exclude %{_mandir}/man1/*svn*.1*
%exclude %{_mandir}/man1/*cvs*.1*
%exclude %{_mandir}/man1/*email*.1*
%exclude %{_mandir}/man1/git-archimport.1*
%doc README COPYING Documentation/*.html Documentation/howto Documentation/technical

%files -n gitk
%defattr(-,root,root,0755)
%{_bindir}/gitk
%{_mandir}/*/gitk*
%doc README COPYING

%files -n gitview
%defattr(-,root,root,0755)
%doc contrib/gitview/gitview.txt
%{_bindir}/gitview

%files -n %{libname}-devel	
%defattr(-,root,root,0755)
%{_includedir}/git
%{_libdir}/libgit.a

%files -n git-svn
%defattr(-,root,root)
%{_bindir}/*svn*
%{_mandir}/man1/*svn*.1*
# %doc Documentation/*svn*.txt
# %doc Documentation/*svn*.html

%files -n git-cvs
%defattr(-,root,root)
%{_bindir}/*cvs*
%{_mandir}/man1/*cvs*.1*
# %doc Documentation/*git-cvs*.txt
# %doc Documentation/*git-cvs*.html

%files -n git-arch
%defattr(-,root,root)
%{_bindir}/git-archimport
%{_mandir}/man1/git-archimport.1*
# %doc Documentation/git-archimport.txt
# %doc Documentation/git-archimport.html

%files -n git-email
%defattr(-,root,root)
%{_bindir}/*email*
%{_mandir}/man1/*email*.1*
# %doc Documentation/*email*.txt
# %doc Documentation/*email*.html

%files -n perl-Git
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*
# /usr/lib/perl5/site_perl/5.8.8/Git.pm
# /usr/local/share/man/man3/Git.3pm

%files -n git-core-oldies
%defattr(-,root,root,0755)
# %{_bindir}/git-merge-recursive-old
# %{_datadir}/git-core/python



%changelog
* Thu Mar 15 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.4-1mdv2007.1
+ Revision: 144070
- 1.5.0.4

* Wed Mar 07 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.3-1mdv2007.1
+ Revision: 134224
- 1.5.0.3

* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.2-1mdv2007.1
+ Revision: 130473
- 1.5.0.2

* Fri Feb 23 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.0.1-2mdv2007.1
+ Revision: 124877
- 1.5.0.1

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4.4-2mdv2007.1
+ Revision: 107222
- reput lost prefix
- bump release
- fix vc-git.el location on x86_64
- fix /etc/emacs/site-start.d/vc_git.el creation

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - 1.4.4.4

* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.4.3-4mdv2007.1
+ Revision: 106762
- package emacs VC backend for GIT

* Mon Jan 08 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-3mdv2007.1
+ Revision: 105906
- fix the .sp in man pages fix (bug #28029)

* Sun Jan 07 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-2mdv2007.1
+ Revision: 105237
- fix .sp in man pages

* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.3-1mdv2007.1
+ Revision: 101116
- 1.4.4.3

* Sat Dec 16 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4.2-1mdv2007.1
+ Revision: 98177
- 1.4.4.2
- move old programs to a sub package to avoid their dependencies (patch from Gustavo De Nardin)
- fix doc duplication (reported in bug #26770)

* Wed Dec 06 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4-2mdv2007.1
+ Revision: 91760
- bump release
- don't package Error.pm (bug #27485)

* Fri Dec 01 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.4-1mdv2007.1
+ Revision: 89530
- fix missing man
- 1.4.4
  split in more packages (bug #26770)
- 1.4.2.3

* Thu Aug 17 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 56615
- update to 1.4.2
- Import linus-git


* Tue Jul 25 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.1.1-1
- New release 1.4.1.1

* Fri Jul 21 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.1-1mdv2007.0
- Release 1.4.1
- add gitview in a subpackage

* Sun Jun 11 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.0-1mdv2007.0
- New release 1.4.0

* Thu May 25 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.3-1mdv2007.0
- New release 1.3.3
- move conflict from linus-git to git-core

* Thu May 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.2-1mdk
- New release 1.3.2

* Wed Apr 26 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.1-1mdk
- New release 1.3.1

* Wed Apr 12 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.6-1mdk
- New release 1.2.6

* Wed Apr 05 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.5-1mdk
- New release 1.2.5

* Fri Mar 03 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.4-1mdk
- New release 1.2.4

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.3-1mdk
- New release 1.2.3

* Thu Feb 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.1-1mdk
- New release 1.2.1

* Wed Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.0-2mdk
- fix hooks permissions (thanks to Eduardo Pereira Habkost and trem)

* Sun Feb 15 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2.0-1mdk
- New release 1.2.0
- drop patch0 - no more needed

* Wed Feb  1 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.6-2mdk
- use mklibname
- merge changes from Olivier and me

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.5-1mdk
- New release 1.1.5

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.6-1mdk
- New release 1.1.6

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 1.1.4-2mdk
- provide a libgit-devel to allow to build darcs with git support

* Sat Jan 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.4-1mdk
- New release 1.1.4

* Mon Jan 16 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.3-1mdk
- New release 1.1.3

* Sat Jan 14 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.2-1mdk
- New release 1.1.2

* Wed Jan 11 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- fix man path (bug 20575)

* Mon Jan 09 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.0-1mdk
- New release 1.1.0

* Thu Dec 29 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-2mdk
- split in git-core, gitk and linus-git
- build and keep only html doc
- use RPM_OPT_FLAGS
- fix tmp path

* Wed Dec 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.6-1mdk
- New release 1.0.6

* Tue Dec 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.5-1mdk
- New release 1.0.5

* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-3mdk
- Fix BuildRequires

* Sat Dec 24 2005 Gaetan Lehmann <glehmann@n4.mandriva.com> 1.0.4-2mdk
- requires more packages
- complete description

* Sat Dec 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.4-1mdk
- New release 1.0.4
- build requires xmlto (thanks to neoclust)
- patch0: use asciidoc in unsafe mode

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.0-1mdk
- New release 1.0.0

* Fri Dec 16 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9n-1mdk
- New release 0.99.9n

* Wed Dec 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9m-1mdk
- New release 0.99.9m

* Mon Dec  5 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-2mdk
 * Sun Dec 04 2005 trem <trem@zarb.org> 0.99.9l-2mdk
 - add manpage

* Sun Dec 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9l-1mdk
- New release 0.99.9l

* Mon Nov 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9k-1mdk
 * Mon Nov 28 2005 trem <trem@zarb.org> 0.99.9k-1mdk
 - New release 0.99.9k
 - Fix warning on rpmlint
- more rpmlint warning

* Tue Nov 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9i-1mdk
- New release 0.99.9i

* Mon Nov 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9h-1mdk
- New release 0.99.9h
- don't use make macro to run test

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99.9e-2mdk
- Fix BuildRequires

* Mon Nov 07 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9e-1mdk
- New release 0.99.9e

* Sat Nov 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9d-1mdk
- New release 0.99.9d

* Sun Oct 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.9-1mdk
- New release 0.99.9

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8f-1mdk
- New release 0.99.8f

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8e-1mdk
- New release 0.99.8e

* Mon Oct 10 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8c-1mdk
- New release 0.99.8c

* Thu Oct 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8b-1mdk
- New release 0.99.8b

* Tue Oct 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.8a-1mdk
- New release 0.99.8a

* Sun Sep 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.99.5-3mdk
- tests break if we use non C locale

* Thu Sep  8 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-2mdk
- solve "templates not found" warning by moving back datas to
  /usr/share/git-core  

* Wed Sep  7 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-1mdk
- New release 0.99.5
- add url to Source0
- use real archive name
- fix summary-not-capitalized
- make test

* Tue Aug 23 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99.4-1mdk
- udpate to 0.99.4
- Fix build require curl-devel (thanks to trem <trem@zarb.org>)

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99-2mdk
- Fix BuildRequires

* Wed Jul 13 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99-1mdk
- Update to 0.99 'git release' 2005-07-13

* Thu Jul  7 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-2mdk
- conflicts with cogito.

* Mon Jun 20 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-1mdk
- Update to 'git release' 2005-06-20
  Now conflicts with git (GNU Interactive Tools)

* Fri Apr 29 2005 Samir Bellabes <sbellabes@mandriva.com> 0.6-1mdk
- First release
